#include "G4FTFCProtonBuilder.hh"
#include "G4ParticleDefinition.hh"
#include "G4ParticleTable.hh"
#include "G4ProcessManager.hh"

G4FTFCProtonBuilder::
G4FTFCProtonBuilder() 
{
  theMin = 15*GeV;
  theModel = new G4TheoFSGenerator;
  theCascade = new G4StringChipsParticleLevelInterface;
  theModel->SetTransport(theCascade);
  theModel->SetHighEnergyGenerator(&theStringModel);
  theStringDecay = new G4ExcitedStringDecay(&theFragmentation);
  theStringModel.SetFragmentationModel(theStringDecay);
}

G4FTFCProtonBuilder::
~G4FTFCProtonBuilder() 
{
  delete theStringDecay;
}

void G4FTFCProtonBuilder::
Build(G4HadronElasticProcess & aP)
{
}

void G4FTFCProtonBuilder::
Build(G4ProtonInelasticProcess & aP)
{
  theModel->SetMinEnergy(theMin);
  theModel->SetMaxEnergy(100*TeV);
  aP.RegisterMe(theModel);
  G4CrossSectionDataStore * thePStore;

  // gab tmp
  // thePStore = aP.GetCrossSectionDataStore();
  // thePStore->AddDataSet(&theXSec);  
}

// 2002 by J.P. Wellisch
